libdap::parser_arg Struct Reference

Pass parameters by reference to a parser. More...

`#include <parser.h>`

## Public Member Functions

Error * | error ()
void * | object ()
| parser_arg (void *obj)
void | set_error (Error *obj)
void | set_object (void *obj)
void | set_status (int val=0)
int | status ()

## Public Attributes

Error * | _error
void * | _object
int | _status

## Detailed Description

Pass parameters by reference to a parser.

`parser_arg` is used to pass parameters to the bison parsers and get error codes and objects in return. If `status()` is true, then the `object()` returns a pointer to the object built during the parse process. If `status()` is false, then the `error()` returns a pointer to an Error object.

Note that the `object()` mfunc returns a void pointer. Pass parameters by reference to a parser.

Definition at line 68 of file parser.h.

The documentation for this struct was generated from the following file:

- parser.h